<?PHP
//////////////////////////////////////////////////////////
        include("config/includes/linkleiste");
echo "<link rel=stylesheet type=\"text/css\" href=\"config/includes/style.css\">\n";
//////////////////////////////////////////////////////////


if(isset($site))
	{
	$goto = "&site=$site";
	}
if($actione == config)
		{
		?>
		<html>
		<body bgcolor="#EEEED2">
		<?PHP
		}
$test = filesize("dia_show/shows/$dia_bereich");
if(isset($kopier_bereich))
	{
	echo "<br><div align=center><font class=h1>Bilder aus dem Bereich \"$kopier_bereich\"\n";
	echo "in die Show ";
	#if(($test>0) || ($put == true))
	#	{
	#	echo "<a href=dia_show.php?dia_bereich=$dia_bereich>\"$dia_bereich\"</a>\n";
	#	}
	#else
	#	{
		echo "\"$dia_bereich\"\n";
	#	}
	echo " einfügen</strong></font></div><br><br>\n";
	}
else
	{
        if($action == "löschen?")
                {
                echo "<br><br><div align=center><font class=error>Dia Show\n";
                }
        else
                {
	        echo "<br><div align=center><font class=h1>Dia Show \n";
                }

	if(($test>0) || ($put == true))
		{
                echo "\"$dia_bereich\"\n";
		#echo "<a href=dia_show.php?dia_bereich=$dia_bereich>\"$dia_bereich\"</a>\n";
		}
	else
		{
		echo "\"$dia_bereich\"\n";
		}
        if($action == "löschen?")
                {
	        echo " wirklich $action</font></div><br><br>\n";
                }
         else
                {
                echo " $action</font></div><br><br>\n";
	        }
         }

if(isset($actione))
	{
	//////////////////////////////////////////////////////
	///	Konfigurieren

	if($actione == save_config)
	{
	$new_config = "<?PHP\n\$art = \"$sort\";\n\$time = \"$interval\";\n\$end = \"$schleife\";\n?>";
	$file = "dia_show/shows/$dia_bereich.conf";
	$fp = fopen("$file","w-");
	fwrite ($fp,$new_config);
	fclose ($fp);
	echo "<br><br><div align=center><font size=4 color=008080>Konfiguration gespeichert...</font><br><br><br><br>\n";
	echo "<form action=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=put method=post>\n";
        echo "<input type=submit value=\"Bilder hinzufügen oder entfernen\"></form><br>\n";
	echo "<form action=dia.php method=post><input type=submit value=\"Zur Übersichtsseite\"></form><br>\n";
	}

	if($actione == config)
		{
		include ("dia_show/shows/$dia_bereich.conf");
		echo "<div align=center><table width=80% border=1 cellspacing=5 cellpadding=4 bgcolor=#C0C0C0><tr>\n";
		echo "<td width=100% valign=top><font size=4 color=#008080><strong>Moin, moin!</strong><br><br>\n";
		echo "Hier können Sie Einstellungen vornehmen, wie die Dia Show ablaufen soll. <br><br><strong><em>Mausgesteuert</em></strong> \n";
                echo "heißt, dass die Show durch einen Klick auf das untere linke Viertel der Grafik um ein Bild zurück springt.\n";
                echo "<br>Durch einen Klick auf das untere rechte Viertel springt die Show ein Bild weiter.<br>\n";
		echo "Ein Klick auf die obere Bildhälfte bricht die Diashow ab und bringt Sie zur Übersichtsseite zurück.<br><br>\n";
		echo "<strong><em>Zeitgesteuert</em></strong> bedeutet, dass die Show alle X Sekunden ein Bild weiterspringt.<br>\n";
		echo "Sie können hierbei wählen, ob die Show endlos durchlaufen soll, oder ob sie am Schluss beendet wird und Sie zur Übersichtsseite zurückkehren.<br>\n";
		echo "Falls Sie \"Endlos\" wählen beendet ein Klick auf die Grafik die Show. Sie kehren dann zur Übersichtsseite zurück.</font><br><br>\n";

		
		echo "<div align=center><table width=80% border=0 cellspacing=5 cellpadding=4 bgcolor=#EEEED2><tr>\n";
		echo "<font size=4 color=#008080><form action=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=save_config method=post>\n";
		if($art == mouse)
			{
			echo "<td width=5%><input type=radio name=sort value=mouse checked></td><td width=25%>\n";
			echo "<font size=4 color=#008080>Mausgesteuert</font></td><td widht=70%></td></tr>\n";
			echo "<td width=5%><input type=radio name=sort value=time></td><td width=25%>\n";
			echo "<font size=4 color=#008080>Zeitgesteuert</font></td>\n";
			echo "<td widht=70%><font size=4 color=#008080>aktualisieren alle&nbsp&nbsp&nbsp&nbsp\n";
                        echo "<input type=text name=interval size=3 value=$time>&nbsp&nbsp&nbsp&nbsp Sekunden</font></td></tr>\n";
			}
		else
			{
			echo "<td width=5%><input type=radio name=sort value=mouse></td><td width=25%>\n";
			echo "<font size=4 color=#008080>Mausgesteuert</font></td><td widht=70%></td></tr>\n";
			echo "<td width=5%><input type=radio name=sort value=time checked></td><td width=25%>\n";
			echo "<font size=4 color=#008080>Zeitgesteuert</font></td>\n";
			echo "<td widht=70%><font size=4 color=#008080>weiter nach &nbsp&nbsp&nbsp&nbsp\n";
                        echo "<input type=text name=interval size=3 value=$time>&nbsp&nbsp&nbsp&nbsp Sekunden</font></td></tr>\n";
			}
		if($end == true)
			{
			$kein_name = " checked";
			}
		echo "<td width=5%><input type=checkbox name=schleife value=true$kein_name></td>\n";
                echo "<td width=25%><font size=4 color=#008080>Endlos?</font></td>\n";
		echo "<td widht=70%><div align=center><input type=submit value=Speichern></td></tr>\n";
		echo "</div></table><br><br>\n";
		echo "</td></tr></table><br>\n";
		}
	//////////////////////////////////////////////////////
	///	Bilder hinzufügen oder rausnehmen
	
	if($actione == put)
		{
		if(empty($kopier_bereich))
			{

			############ Verschieben
			
			if(isset($schieben))
				{
				$move_dia = file("dia_show/shows/$dia_bereich");
				$file = "dia_show/shows/$dia_bereich";
				$y = $schieben+1;
				$fp = fopen("$file","w-");
				if($schieben<$old_line)
					{
					for($x=0; $x<$schieben; $x++)
						{
						fwrite($fp,$move_dia[$x]);
						}
					fwrite($fp,$move_dia[$old_line]);
					for($x=$schieben; $x<$old_line; $x++)
						{
						fwrite($fp,$move_dia[$x]);
						}
					for($x=$old_line+1; $x<count($move_dia); $x++)
						{
						fwrite($fp,$move_dia[$x]);
						}
					}
				if($schieben>$old_line)
					{
					for($x=0; $x<$old_line; $x++)
						{
						fwrite($fp,$move_dia[$x]);
						}
					for($x=$old_line+1; $x<$schieben; $x++)
						{
						fwrite($fp,$move_dia[$x]);
						}
					fwrite($fp,$move_dia[$old_line]);
					for($x=$schieben; $x<count($move_dia); $x++)
						{
						fwrite($fp,$move_dia[$x]);
						}
					}
				fclose($fp);
				}

			##################### /verschieben
			############ Entfernen
			
			If(isset($wech))
				{
				$delete_dia = file("dia_show/shows/$dia_bereich");
				$file = "dia_show/shows/$dia_bereich";
				$fp = fopen("$file","w-");
				for($x=0; $x<$wech; $x++)
					{
					fwrite($fp,$delete_dia[$x]);
					}
				for($x=$wech+1; $x<count($delete_dia); $x++)
					{
					fwrite($fp,$delete_dia[$x]);
					}
				fclose($fp);
				}

			####################### /Entfernen
			
			####################### Hinzufügen!
			if($put == true)
				{
				$file = "dia_show/shows/$dia_bereich";
				$fp = fopen("$file","a-");
				for($x=0; $x<count($_POST); $x++)
					{
					$line = current($_POST);
					$line = "$line\n";
					fwrite($fp,$line);
					next($_POST);
					}
				fclose($fp);
				}
			####################### /Hinzufügen
			
			####################### Alle aus einer Tabelle dazupacken!
			if($put == all)
				{
				$new_array = file("config/tables/$all");
				$file = "dia_show/shows/$dia_bereich";
				$fp = fopen("$file","a-");
				for($x=0; $x<count($new_array); $x++)
					{
					$new_line = "$all\$%\$$new_array[$x]";
					fwrite($fp,$new_line);
					}
				fclose($fp);
				}
			####################### /Alle aus einer Tabelle dazupacken
			$links = file("config/includes/tabs");
			echo "<div align=center><form action=dia_work.php method=get class=action>\n";
                        echo "<nobr><font class=anweis>Bilder hinzufügen aus Tabelle:&nbsp&nbsp&nbsp&nbsp</font>\n";
                        echo "<select name=kopier_bereich size=1>\n";
			for($x=2;$x<count($links);$x++)
				{
				$akt_link = $links[$x];
				echo "<option>$akt_link</option>\n";
				next($links);
				}
			echo "</select></nobr>&nbsp&nbsp&nbsp&nbsp\n";
			echo "<input type=hidden name=dia_bereich value=$dia_bereich>\n";
			echo "<input type=hidden name=action value=$action>\n";
			echo "<input type=hidden name=actione value=$actione>\n";
			echo "<input type=submit value=\"Los !\"></form></font><br>\n";

			echo "<a href=dia.php>Übersicht</a> | <a href=dia_show.php?dia_bereich=$dia_bereich>Dia Show \"$dia_bereich\" starten</a> | \n";
			echo "<a href=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=config>Einstellungen vornehmen</a>\n";
			echo "<br><br><br>\n";

			######### Dia Schow einlesen!

			$show = file("dia_show/shows/$dia_bereich");
			
			######### Links für die Seitenzahlen!

			if(count($show)>20)
				{
				$sites = count($show)/20;
				$sites = ceil($sites);
				echo "<div align=center><strong>Seite: </strong>\n";
				if(isset($site))
					{
					if($site>$sites)
						{
						for($x=0; $x<$sites; $x++)
							{
							$y = $x+1;
							if($y == $sites)
								{
								echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
								}
							else
								{
								echo "&nbsp&nbsp<a href=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
								}
							}
						}
					else
						{
						for($x=0; $x<$sites; $x++)
							{
							$y = $x+1;
							if($y == $site)
								{
								echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
								}
							else
								{
								echo "&nbsp&nbsp<a href=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
								}
							}
						}
					}
				else
					{
					for($x=0; $x<$sites; $x++)
						{
						$y = $x+1;
						if($y == 1)
							{
							echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
							}
						else
							{
							echo "&nbsp&nbsp<a href=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
							}
						}
					}
				echo "<br><br></div>\n";
				}
			######### /Links für die Seitenzahlen

			echo "<center><table class=rahmendia cellspacing=5 cellpadding=4 width=90%><tr>\n";
			echo "<td class=dia width=5% valign=top><div align=center><font size=4><strong>Nr.</strong></font></div></td>\n";
			echo "<td class=dia width=25% valign=top><div align=center><font size=4><strong>Bearbeiten</strong></font></div></td>\n";
			echo "<td class=dia width=30% valign=top><div align=center><font size=4><strong>Bildvorschau</strong></font></div></td>\n";
			echo "<td class=dia width=20% valign=top><div align=center><font size=4><strong>Aus Bereich</strong></font></div></td>\n";
			echo "<td class=dia width=10% valign=top><div align=center><font size=4><strong>Datei</strong></font></div></td></tr>\n";
			echo "<font size=3>\n";
			$z = count($show)+1;
			
			##########	Seite anzeigen!!!

			if(count($show)<20)
				{
				$a = 0;
				$b = count($show);
				}
			else
				{
				if(isset($site))
					{
					if($site>$sites)
						{
						$a=($sites-1)*20;
						$b=count($show);
						}
					else
						{
						$a = ($site-1)*20;
						if($sites>$site)
							{
							$b = $site*20;
							}
						else
							{
							$b = count($show);
							}
						}
					}
				else
					{
					$a = 0;
					$b =20;
					}
				}
			
			##########	/Seite anzeigen

			for($x=$a; $x<$b; $x++)
				{
				$nr = $x+1;
				echo "<tr><td width=5% class=dia><div align=center><strong>$nr</strong></div></td>\n";
				echo "<td width= 25% class=dia valign=center>\n";
                                echo "<form action=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione$goto method=post>\n";
				echo "<input type=hidden name=wech value=$x>\n";
                                echo "<font class=anweis>Dieses Bild aus der Show<br><br></font>\n";
                                echo "<input type=submit value=Entfernen></form><br><br>\n";
				echo "<form action=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione$goto method=post>\n";
				echo "<font class=anweis>Vor Nr.</font><br><br>\n";
                                echo "<div align=right><nobr><select name=schieben>\n";
				for($y=0; $y<count($show); $y++)
					{
					$nry = $y+1;
					echo "<option value=$y>$nry</option>\n";
					}                                           
				echo "<option value=$z>Ende</option>\n";
				echo "</select>&nbsp\n";
				echo "<input type=hidden name=old_line value=$x><input type=submit value=\"verschieben\"></nobr></div></form></td>\n";
				$pic = explode("$%$",$show[$x]);
				echo "<td width=30% class=dia><img src=eigene_bilder/$pic[0]/thumbs/thumb_$pic[1].jpg></td>\n";
				echo "<td width=20% class=dia valign=top><div align=center><strong>$pic[0]</strong></div></td>\n";
				echo "<td width=10% class=dia valign=top><div align=right><strong>thumb_$pic[1].jpg<br>jpg_$pic[1].jpg\n";
				if(file_exists("eigene_bilder/$pic[0]/tif/tif_$pic[1].tif"))
					{
					echo "<br>tif_$pic[1].tif\n";
					}
				echo "</strong></td></tr>\n";
				}
			echo "</table></div><br>\n";

			###############	Links für die Seitenzahlen!


			if(count($show)>20)
				{
				$sites = count($show)/20;
				$sites = ceil($sites);
				echo "<div align=center><strong>Seite: </strong>\n";
				if(isset($site))
					{
					if($site>$sites)
						{
						for($x=0; $x<$sites; $x++)
							{
							$y = $x+1;
							if($y == $sites)
								{
								echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
								}
							else
								{
								echo "&nbsp&nbsp<a href=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
								}
							}
						}
					else
						{
						for($x=0; $x<$sites; $x++)
							{
							$y = $x+1;
							if($y == $site)
								{
								echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
								}
							else
								{
								echo "&nbsp&nbsp<a href=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
								}
							}
						}
					}
				else
					{
					for($x=0; $x<$sites; $x++)
						{
						$y = $x+1;
						if($y == 1)
							{
							echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
							}
						else
							{
							echo "&nbsp&nbsp<a href=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
							}
						}
					}
				echo "</div><br><br>\n";
				}
			
			############# /Links für die Seitenzahlen

			############# /Dia Show einlesen

			}
		else
			{

			$read_write = "config/tables/$kopier_bereich";
			$array = file($read_write);
			echo "<div align=center>\n";
			if($all == yes)
				{
				$checked = " checked";
				}
			echo "<a href=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=put><img border=0 src=gifs/stop.gif></a><br><br>\n";
			echo "<form action=dia_work.php?kopier_bereich=$kopier_bereich&dia_bereich=$dia_bereich&action=$action&actione=$actione&all=yes method=post>\n";
			echo "<input type=submit value=\"Alle auswählen\">\n";
                        if(isset($all))
                                {
                                echo " &nbsp; <a href=#unten>(jump down)</a>\n";
                                }
                        echo "</form><br>\n";
			if(count($array)>20)
				{
				echo "<form action=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione&put=all&all=$kopier_bereich method=post>\n";
				echo "<input type=submit value=\"Alle Bilder aus dem Bereich $kopier_bereich in die Show $dia_bereich einfügen\"></form><br>\n";
				}
			echo "</div>\n";
			###############	Links für die Seitenzahlen!

			if(count($array)>20)
				{
				$sites = count($array)/20;
				$sites = ceil($sites);
				echo "<div align=center><strong>Seite: </strong>\n";
				if(isset($site))
					{
					for($x=0; $x<$sites; $x++)
						{
						$y = $x+1;
						if($y == $site)
							{
							echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
							}
						else
							{
							echo "&nbsp&nbsp<a href=dia_work.php?kopier_bereich=$kopier_bereich&dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
							}
						}
					}
				else
					{
					for($x=0; $x<$sites; $x++)
						{
						$y = $x+1;
						if($y == 1)
							{
							echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
							}
						else
							{
							echo "&nbsp&nbsp<a href=dia_work.php?kopier_bereich=$kopier_bereich&dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
							}
						}
					}
				echo "</div><br>\n";
				}
			
			############# /Links für die Seitenzahlen


			echo "<form action=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=$actione&put=true method=post>\n";
			echo "<div align=center><table class=rahmendia width=100% cellspacing=5 cellpadding=4><tr>\n";
			echo "<td class=dia width=22% valign=top><div align=center><font class=titel>Nr.</font></div></td>\n";
			echo "<td class=dia width=15% valign=top><div align=center><font class=titel>Bildvorschau</font></div></td>\n";
			echo "<td class=dia width=10% valign=top><div align=center><font class=titel>Titel<br>Urheber</font></div></td>\n";
			echo "<td class=dia width=43% valign=top><div align=center><font class=titel>Bemerkungen</font></div></td>\n";
			echo "<td class=dia width=10% valign=top><div align=left><font class=titel>Vom<br></strong>(Datum)</font></div></td></tr>\n";
			echo "<font size=3>\n";
			##########	Seite anzeigen!!!

			if(count($array)<20)
				{
				$a = 0;
				$b = count($array);
				}
			else
				{
				if(isset($site))
					{
					$a = ($site-1)*20;
					if($sites>$site)
						{
						$b = $site*20;
						}
					else
						{
						$b = count($array);
						}
					}
				else
					{
					$a = 0;
					$b =20;
					}
				}
			
			##########	/Seite anzeigen

			for($x=$a; $x<$b; $x++)
				{
				$nr = $x+1;
				$bla = explode("$%$",$array[$x]);
				$kb_thumb = filesize("eigene_bilder/$kopier_bereich/thumbs/thumb_$bla[0].jpg");
				$kb_thumb_round = round($kb_thumb / 1000 , 1);
				$kb_jpg = filesize("eigene_bilder/$kopier_bereich/jpg/jpg_$bla[0].jpg");
				$kb_jpg_round = round($kb_jpg / 1000 , 1);
				if(file_exists("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif"))
					{
					$kb_tif = filesize("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif");
					$kb_tif_round = round($kb_tif / 1000 , 1);
					}
				$new_send = $array[$x];
				$new_send = ereg_replace("\n", "", $new_send);
				echo "<tr ><td class=dia width=22% valign=middle><font class=anweis>Bild Nr. $nr <br>hinzufügen?&nbsp;&nbsp;&nbsp;&nbsp;</font>\n";
				echo "<input type=checkbox name=$x value=\"$kopier_bereich\$%\$$new_send\"$checked></strong></td>\n";
				echo "<td class=dia width=15% valign=top><a href=pic_show.php?kopier_bereich=$kopier_bereich&pic=$bla[0]&anker=$anker>\n<img border=0 src=eigene_bilder/$kopier_bereich/thumbs/thumb_$bla[0].jpg></a><br>\n";
				echo "<div align=right><font size = -1>thumb_$bla[0].jpg ($kb_thumb_round KB)<br>jpg_$bla[0].jpg ($kb_jpg_round KB)";
				if(file_exists("eigene_bilder/$kopier_bereich/tif/tif_$bla[0].tif"))
					{
					echo "<br>tif_$bla[0].tif ($kb_tif_round KB)\n";
					}
				echo "</div></font></td>\n";
				echo "<td class=dia width=10% valign=top><font class=text>$bla[1]</font></td>\n";
				echo "<td class=dia width=43% valign=top><font class=text>$bla[2]</font></td>\n";
				echo "<td class=dia width=10% valign=top><font class=text>$bla[3]</font></td>\n";
				echo "</tr>\n";
				}
			echo "</font></table><br>\n";
			###############	Links für die Seitenzahlen!

			if(count($array)>20)
				{
				$sites = count($array)/20;
				$sites = ceil($sites);
				echo "<div align=center><strong>Seite: </strong>\n";
				if(isset($site))
					{
					for($x=0; $x<$sites; $x++)
						{
						$y = $x+1;
						if($y == $site)
							{
							echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
							}
						else
							{
							echo "&nbsp&nbsp<a href=dia_work.php?kopier_bereich=$kopier_bereich&dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
							}
						}
					}
				else
					{
					for($x=0; $x<$sites; $x++)
						{
						$y = $x+1;
						if($y == 1)
							{
							echo "&nbsp&nbsp<strong><u>$y</u></strong>\n";
							}
						else
							{
							echo "&nbsp&nbsp<a href=dia_work.php?kopier_bereich=$kopier_bereich&dia_bereich=$dia_bereich&action=$action&actione=$actione&site=$y>$y</a>\n";
							}
						}
					}
				echo "</div><br><br>\n";
				}
			
			############# /Links für die Seitenzahlen

			echo "<input type=submit value=\"Los gehts!\"></a></form></div><a name=unten><br>\n";
			}
		}
	}
else
	{
	if($action == bearbeiten)
		{
		echo "<div align=center><form action=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=config method=post>\n";
		echo "<input type=submit value=\"Einstellungen ändern oder vornehmen\"></form></div>\n";
		echo "<br><div align=center><form action=dia_work.php?dia_bereich=$dia_bereich&action=$action&actione=put method=post>\n";
		echo "<input type=submit value=\"Bilder hinzufügen oder entfernen\"></form></div>\n";
		}
	if($action == "löschen?")
		{
		echo "<div align=center><form action=dia.php?dia_bereich=$dia_bereich&action=$action method=post>\n";
		echo "<input type=hidden name=delete_dia value=true>\n";
		echo "<input type=submit value=\"Ja, löschen\"></form></div>\n";
		echo "<br><div align=center><a href=dia.php#anker><img border=0 src=gifs/stop.gif></a></div>\n";
		}
	}
if($actione == config)
		{
		?>
		</html></body>
		<?PHP
		}
?>
